Imagick::floodFillPaintImage
Imagick::forwardFourierTransformImage
Imagick
PHP Manual

# Imagick::flopImage

(PECL imagick 2.0.0)

Imagick::flopImage — Creates a horizontal mirror image

### Description

bool Imagick::flopImage ( void )

Creates a horizontal mirror image by reflecting the pixels around the central y-axis.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::flopImage()

`<?php
function flopImage($imagePath) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->flopImage();
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`

Imagick::floodFillPaintImage
Imagick::forwardFourierTransformImage
Imagick
PHP Manual